org.eclipse.gef.mvc.fx.ui.properties

## Interface IPropertySheetPageFactory

    public interface IPropertySheetPageFactory

A factory to create a new `IPropertySheetPage`.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.ui.views.properties.IPropertySheetPage` `create(org.eclipse.ui.IWorkbenchPart workbenchPart)` Creates a new `IPropertySheetPage` for the given `IWorkbenchPart`.

### Method Detail

#### create

    org.eclipse.ui.views.properties.IPropertySheetPage create(org.eclipse.ui.IWorkbenchPart workbenchPart)

Creates a new `IPropertySheetPage` for the given `IWorkbenchPart`.

Parameters:
  `workbenchPart` - The `IWorkbenchPart` this `IPropertySheetPage` is related to.
Returns:
  A new `IPropertySheetPage` instance.